%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           sahara-image-elements
Epoch:          1
Version:        3.0.0
Release:        6%{?dist}
Summary:        Image creation tools for Openstack Sahara

License:        ASL 2.0
URL:            https://launchpad.net/sahara
Source0:        http://tarballs.openstack.org/sahara-image-elements/sahara-image-elements-%{version}%{?milestone}.tar.gz
BuildArch:      noarch

#
# patches_base=+1
#
Patch0001: 0001-Remove-unsupported-plugins-and-options.patch
Patch0002: 0002-Removing-ip6tables-save.patch
Patch0003: 0003-Initialize-iptables-before-save.patch
Patch0004: 0004-Adding-DIB_EXTLINUX-var.patch
Patch0005: 0005-Removing-support-for-CDH-5.3.0.patch
Patch0006: 0006-Changing-image-names-for-RHEL-6.patch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 0.5.19

Requires: dib-utils
Requires: diskimage-builder >= 0.1.34-21
Requires: rsync
Requires: wget
Requires: qemu-kvm
Requires: qemu-img
Requires: kpartx
Requires: git

%description
Sahara-image-elements provides the ability to create the images necessary to generate data processing clusters
in Sahara.

%prep
%setup -q -n sahara-image-elements-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

rm -rf sahara_image_elements.egg-info
rm -rf elements/.gitignore
rm -rf elements/apt-mirror
rm -rf elements/centos-mirror
rm -rf elements/fedora-mirror
rm -rf elements/hadoop
rm -rf elements/hadoop-cdh
rm -rf elements/hadoop-mapr
rm -rf elements/hive
rm -rf elements/mysql
rm -rf elements/oozie
rm -rf elements/root-passwd
rm -rf elements/spark
rm -rf elements/storm
rm -rf elements/swift_hadoop
rm -rf elements/zookeeper

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc AUTHORS LICENSE ChangeLog
%{_bindir}/sahara-image-create
%{_bindir}/diskimage-create.sh
%{_datadir}/sahara-elements
%{python2_sitelib}/sahara_image_elements-%{version}%{?milestone}-py?.?.egg-info

%changelog
* Mon Jun 20 2016 Ethan Gafford <egafford@redhat.com> 3.0.0-6
- Modifying names of output images for RHEL 6.*
- Resolves: rhbz#1347331

* Mon Jun 13 2016 Ethan Gafford <egafford@redhat.com> 3.0.0-5
- Removing support for CDH 5.3.0
- Resolves: rhbz#1305607

* Fri May 27 2016 Ethan Gafford <egafford@redhat.com> 3.0.0-4
- Adding DIB_EXTLINUX var to overcome DIB contract change
- Resolves: rhbz#1340544

* Wed Dec 02 2015 Ethan Gafford <egafford@redhat.com> 3.0.0-3
- Increasing TMPFS threshold to avoid out of memory errors
- Initializing iptables before save
- Adding epoch to packaging
- Resolves: rhbz#1286276
- Resolves: rhbz#1286856

* Fri Nov 13 2015 Ethan Gafford <egafford@redhat.com> 3.0.0-2
- Repairing bash error in call to disk-image-create

* Mon Nov 09 2015 Ethan Gafford <egafford@redhat.com> 3.0.0-1
- Update to upstream 3.0.0
- This version uses patch of upstream diskimage-create.sh, rather
  than rewrite.

* Thu Oct 01 2015 Ethan Gafford <egafford@redhat.com> - 2015.1.0-4
- Changing regex for image to permit all RHEL 6 versions
- Resolves: rhbz#1250925

* Tue Jun 16 2015 Ethan Gafford <egafford@redhat.com> 2015.1.0-3
- Updating image size var for CDH
- Resolves: rhbz#1231934

* Mon May 11 2015 Ethan Gafford <egafford@redhat.com> 2015.1.0-2
- Removing non-functional and unpackaged oracle-java option
- Adding debug tracing option

* Fri May 08 2015 Ethan Gafford <egafford@redhat.com> 2015.1.0-1
- Update to upstream 2015.1.0

* Wed Jan 07 2015 Ethan Gafford <egafford@redhat.com> - 2014.2-3
- Removal of HDP 1.3 and Cloudera from documentation and codebase.

* Tue Jan 06 2015 Ethan Gafford <egafford@redhat.com> - 2014.2-2
- Documentation updates for use without wrapper script.

* Mon Dec 15 2014 Ethan Gafford <egafford@redhat.com> - 2014.2-1
- Initial package.
